Name:           telepathy-salut
Version:        0.1.6
Release:        1%{?dist}
Summary:        Link-local XMPP telepathy connection manager

Group:          Applications/Communications
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:	dbus-glib-devel >= 0.61
BuildRequires:	avahi-glib-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	cyrus-sasl-devel
BuildRequires:	libxslt
BuildRequires:	telepathy-glib-devel >= 0.5.14
BuildRequires:	check-devel

Requires:	telepathy-filesystem

%description
%{name} is a Telepathy connection manager for link-local XMPP.
Normally, XMPP does not support direct client-to-client interactions,
since it requires authentication with a server.  This package makes
it is possible to establish an XMPP-like communications system on a
local network using zero-configuration networking.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_mandir}/man8/%{name}.8.gz

%changelog
* Wed Nov  7 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.6-1
- Update to 0.1.6.
- Add man page.
- Bump min version of telepathy-glib-devel needed.

* Sat Aug 25 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4.
- Update minimum BR versions needed.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-3
- Rebuild.

* Fri Aug  3 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-2
- Update license tag.

* Tue Jun 26 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3.
- Add BR on telepathy-glib-devel & libxslt.

* Mon Apr 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1
- Add BR on openssl-devel & cyrus-sasl-devel.

* Sun Jan 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.0-1
- Initial Fedora spec file.

